import 'package:flutter/material.dart';

///[NavigationDestination] class is encapsulated [icon], [title] and [subTitle] page.
class NavigationDestination {
  NavigationDestination({@required this.icon, @required this.title, this.subTitle}) : assert(icon != null && title != null);
  final Icon icon;
  final Widget title;
  final Widget subTitle;
}
